io.undertow.security.impl

## Enum DigestWWWAuthenticateToken

- java.lang.Object
- - java.lang.Enum<DigestWWWAuthenticateToken>
  - - io.undertow.security.impl.DigestWWWAuthenticateToken

All Implemented Interfaces:
  HeaderToken, Serializable, Comparable<DigestWWWAuthenticateToken>

    public enum DigestWWWAuthenticateToken
    extends Enum<DigestWWWAuthenticateToken>
    implements HeaderToken

Enumeration of tokens expected in a HTTP Digest 'WWW_Authenticate' header.

Author:
  Darran Lofthouse

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALGORITHM`
`AUTH_PARAM`
`DOMAIN`
`MESSAGE_QOP`
`NONCE`
`OPAQUE`
`REALM`
`STALE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getName()`
`boolean` `isAllowQuoted()`
`static Map<DigestWWWAuthenticateToken,String>` `parseHeader(String header)`
`static DigestWWWAuthenticateToken` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DigestWWWAuthenticateToken[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REALM

    public static final DigestWWWAuthenticateToken REALM

#### DOMAIN

    public static final DigestWWWAuthenticateToken DOMAIN

#### NONCE

    public static final DigestWWWAuthenticateToken NONCE

#### OPAQUE

    public static final DigestWWWAuthenticateToken OPAQUE

#### STALE

    public static final DigestWWWAuthenticateToken STALE

#### ALGORITHM

    public static final DigestWWWAuthenticateToken ALGORITHM

#### MESSAGE_QOP

    public static final DigestWWWAuthenticateToken MESSAGE_QOP

#### AUTH_PARAM

    public static final DigestWWWAuthenticateToken AUTH_PARAM

### Method Detail

#### values

    public static DigestWWWAuthenticateToken[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DigestWWWAuthenticateToken c : DigestWWWAuthenticateToken.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DigestWWWAuthenticateToken valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getName

    public String getName()

Specified by:
  `getName` in interface `HeaderToken`
Returns:
  The name of the token as seen within the HTTP header.

#### isAllowQuoted

    public boolean isAllowQuoted()

Specified by:
  `isAllowQuoted` in interface `HeaderToken`
Returns:
  true if this header could be a quoted header.

#### parseHeader

    public static Map<DigestWWWAuthenticateToken,String> parseHeader(String header)